2

[alpine-aports] [PATCH 1/3] main/vim: vim is not licensed under GPL

Sören Tempel
Details
Message ID
<1440524766-20935-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1440524764
DKIM signature
missing
Download raw message
Patch: +9 -5
---
 main/vim/APKBUILD | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/main/vim/APKBUILD b/main/vim/APKBUILD
index 42f15ce..cb1707e 100644
--- a/main/vim/APKBUILD
+++ b/main/vim/APKBUILD
@@ -3,12 +3,12 @@ pkgname=vim
 pkgver=7.4.712
 _srcver=${pkgver%.*}
 _patchver=${pkgver##*.}
-pkgrel=0
+pkgrel=1
 pkgdesc="advanced text editor"
 url="http://www.vim.org"
 arch="all"
-license='GPL'
-depends=
+license="custom"
+depends=""
 makedepends="ncurses-dev lua5.2-dev"
 subpackages="$pkgname-doc ${pkgname}diff"
 # hg clone https://vim.googlecode.com/archive/v${pkgver//./-}.tar.gz
@@ -36,14 +36,18 @@ build() {
 		--enable-multibyte \
 		--enable-gui=no \
 		--with-lua-prefix=/usr/lua5.2 \
+		--with-compiledby="Alpine Linux" \
 		|| return 1
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make -j1 DESTDIR="$pkgdir/" install
-	install -D "$srcdir"/vimrc "$pkgdir"/etc/vim/vimrc
+	make DESTDIR="$pkgdir/" install
+
+	install -Dm644 runtime/doc/uganda.txt \
+		"$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
+	install -D "$srcdir"/vimrc "$pkgdir"/etc/vim/vimrc || return 1
 }
 
 vimdiff() {
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/3] main/nginx: lowercase license name

Sören Tempel
Details
Message ID
<1440524766-20935-2-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1440524766-20935-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1440524765
DKIM signature
missing
Download raw message
Patch: +1 -1
---
 main/nginx/APKBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/main/nginx/APKBUILD b/main/nginx/APKBUILD
index 3f4576d..7380eca 100644
--- a/main/nginx/APKBUILD
+++ b/main/nginx/APKBUILD
@@ -9,7 +9,7 @@ pkgrel=2
 pkgdesc="lightweight HTTP and reverse proxy server"
 url="http://www.nginx.org"
 arch="all"
-license="Custom"
+license="custom"
 pkgusers="nginx"
 pkggroups="nginx"
 install="$pkgname.pre-install $pkgname.pre-upgrade"
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 3/3] testing/texlive: sort configure flags and add banner

Sören Tempel
Details
Message ID
<1440524766-20935-3-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1440524766-20935-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1440524766
DKIM signature
missing
Download raw message
Patch: +33 -32
No pkgrel bump since this doesn't change the binary in a significant
way.
---
 testing/texlive/APKBUILD | 65 ++++++++++++++++++++++++------------------------
 1 file changed, 33 insertions(+), 32 deletions(-)

diff --git a/testing/texlive/APKBUILD b/testing/texlive/APKBUILD
index bcb997f..322ac82 100644
--- a/testing/texlive/APKBUILD
+++ b/testing/texlive/APKBUILD
@@ -38,54 +38,55 @@ build() {
 		--mandir=/usr/share/man \
 		--infodir=/usr/share/info \
 		--localstatedir=/var \
-		--with-system-freetype2 \
-		--with-system-zlib \
-		--with-system-libpng \
-		--with-system-xpdf \
-		--with-system-poppler \
-		--with-system-icu \
-		--with-system-harfbuzz \
-		--with-system-icu \
-		--with-system-graphite2 \
-		--with-system-cairo \
-		--with-system-pixman \
-		--with-system-zziplib \
-		--with-system-libpaper \
-		--without-texinfo \
-		--disable-dialog \
-		--disable-multiplatform \
 		--enable-epsfwin \
+		--enable-ipc \
+		--enable-luatex \
 		--enable-mftalkwin \
 		--enable-regiswin \
+		--enable-shared \
 		--enable-tektronixwin \
 		--enable-unitermwin \
-		--with-ps=gs \
-		--disable-psutils \
-		--disable-t1utils \
-		--enable-ipc \
+		--enable-xetex \
 		--disable-biber \
 		--disable-bibtex-x \
+		--disable-chktex \
+		--disable-cjkutils \
+		--disable-detex \
+		--disable-dialog \
+		--disable-dvi2tty \
 		--disable-dvipng \
 		--disable-dvipsk \
-		--disable-chktex \
+		--disable-dvisvgm \
+		--disable-largefile \
 		--disable-lcdf-typetools \
+		--disable-multiplatform \
+		--disable-native-texlive-build \
 		--disable-pdfopen \
 		--disable-ps2eps \
 		--disable-ps2pkm \
-		--disable-detex \
-		--disable-ttf2pk2 \
+		--disable-psutils \
+		--disable-t1utils \
 		--disable-tex4htk \
-		--disable-cjkutils \
+		--disable-ttf2pk2 \
+		--disable-vlna \
 		--disable-xdvik \
 		--disable-xindy \
-		--enable-luatex \
-		--disable-dvi2tty \
-		--disable-dvisvgm \
-		--disable-vlna \
-		--enable-shared \
-		--disable-native-texlive-build \
-		--disable-largefile \
-		--enable-xetex \
+		--with-ps=gs \
+		--with-banner-add="/Alpine Linux" \
+		--with-system-cairo \
+		--with-system-freetype2 \
+		--with-system-graphite2 \
+		--with-system-harfbuzz \
+		--with-system-icu \
+		--with-system-icu \
+		--with-system-libpaper \
+		--with-system-libpng \
+		--with-system-pixman \
+		--with-system-poppler \
+		--with-system-xpdf \
+		--with-system-zlib \
+		--with-system-zziplib \
+		--without-texinfo \
 		|| return 1
 	make || return 1
 }
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---